import { jsx } from "react/jsx-runtime";
import { BugBeetleIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const BugBeetle = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "BugBeetle", ...props, children: /* @__PURE__ */ jsx(BugBeetleIcon, { weight: variant }) });
  }
);
BugBeetle.displayName = "BugBeetle";
Object.assign(BugBeetle, { isGdsIcon: true });
export {
  BugBeetle
};
